Skip to content
SteamSets
Esc
↑↓navigate↵open⌘Jpreview

Server-sent-events stream of site-wide broadcasts (maintenance, announcements, etc).

GET/v1/site.subscribe
Authorization
AuthorizationBearer token · headerrequired
Responses
200

OK

One of:
object
dataSiteSubscribeHeartbeatrequired
Show properties
heartbeatinteger<int64>required
eventstringrequired

The event name.

idstring

The event ID.

retryinteger

The retry time in milliseconds.

object
dataMaintenanceChangedrequired
Show properties
itemsMaintenanceEvent[] | nullrequired
Show properties
Array of MaintenanceEvent
createdAtstring<date-time>required
createdByinteger<int32>
min 0
enabledbooleanrequired

Whether the toggle itself is on

endsAtstring<date-time>

Optional scheduled end

messagestringrequired

Markdown body shown below the headline

pathsstring[] | nullrequired

Path prefixes this event covers; "*" means whole site

startsAtstring<date-time>

Optional scheduled start

titlestringrequired

Short headline shown to users

uidstringrequired

Public maintenance event ID

updatedAtstring<date-time>required
eventstringrequired

The event name.

idstring

The event ID.

retryinteger

The retry time in milliseconds.

default

Error

detailstring

A human-readable explanation specific to this occurrence of the problem.

errorsErrorDetail[] | null

Optional list of individual error details

Show properties
Array of ErrorDetail
locationstring

Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'

messagestring

Error message text

valueany

The value at the given location

instancestring<uri>

A URI reference that identifies the specific occurrence of the problem.

statusinteger<int64>

HTTP status code

titlestring

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

typestring<uri>

A URI reference to human-readable documentation for the error.

default: "about:blank"
Try it
Server
Authorization
Request
curl -X GET 'https://api.steamsets.com/v1/site.subscribe' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "data": {
    "heartbeat": 0
  },
  "event": "heartbeat",
  "id": "string",
  "retry": 0
}